#
# spec file for package python-ceilometerclient
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ceilometerclient
Version:        2.9.0
Release:        2.33
Summary:        Python API and CLI for OpenStack Ceilometer
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/openstack/%{name}
Source0:        https://files.pythonhosted.org/packages/source/p/python-ceilometerclient/python-ceilometerclient-2.9.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-PrettyTable >= 0.7.1
BuildRequires:  python2-keystoneauth1 >= 3.3.0
BuildRequires:  python2-mock >= 2.0.0
BuildRequires:  python2-oslo.i18n >= 3.15.3
BuildRequires:  python2-oslo.serialization >= 2.18.0
BuildRequires:  python2-oslo.utils >= 3.33.0
BuildRequires:  python2-pbr >= 2.0.0
BuildRequires:  python2-requests >= 2.14.2
BuildRequires:  python2-requests-mock >= 1.1.0
BuildRequires:  python2-setuptools >= 16.0
BuildRequires:  python2-six >= 1.10.0
BuildRequires:  python2-stevedore >= 1.20.0
BuildRequires:  python2-testrepository >= 0.0.18
BuildRequires:  python2-testscenarios >= 0.4
BuildRequires:  python2-testtools >= 2.2.0
BuildRequires:  python3-PrettyTable >= 0.7.1
BuildRequires:  python3-devel
BuildRequires:  python3-keystoneauth1 >= 3.3.0
BuildRequires:  python3-mock >= 2.0.0
BuildRequires:  python3-oslo.i18n >= 3.15.3
BuildRequires:  python3-oslo.serialization >= 2.18.0
BuildRequires:  python3-oslo.utils >= 3.33.0
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-requests >= 2.14.2
BuildRequires:  python3-requests-mock >= 1.1.0
BuildRequires:  python3-setuptools >= 16.0
BuildRequires:  python3-six >= 1.10.0
BuildRequires:  python3-stevedore >= 1.20.0
BuildRequires:  python3-testrepository >= 0.0.18
BuildRequires:  python3-testscenarios >= 0.4
BuildRequires:  python3-testtools >= 2.2.0
Requires:       python-PrettyTable >= 0.7.1
Requires:       python-iso8601 >= 0.1.11
Requires:       python-keystoneauth1 >= 3.3.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.serialization >= 2.18.0
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-pbr >= 2.0.0
Requires:       python-requests >= 2.14.2
Requires:       python-six >= 1.10.0
Requires:       python-stevedore >= 1.20.0
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
This is a client library for Ceilometer built on the Ceilometer API. It
provides a Python API (the ceilometerclient module) and a command-line tool
(ceilometer).

%package -n python-ceilometerclient-doc
Summary:        Documentation for OpenStack Ceilometer API Client
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 4.7.0

%description -n python-ceilometerclient-doc
This is a client library for Ceilometer built on the Ceilometer API. It
provides a Python API (the ceilometerclient module) and a command-line tool
(ceilometer).

This package contains auto-generated documentation.

%prep
%autosetup -p1 -n python-ceilometerclient-2.9.0
%py_req_cleanup

%build
%{python_build}

sphinx-build -b html doc/source html
# Fix hidden-file-or-dir warnings
rm -rf html/.doctrees html/.buildinfo

%install
%{python_install}
%python_clone -a %{buildroot}%{_bindir}/ceilometer

%post
%python_install_alternative ceilometer

%postun
%python_uninstall_alternative ceilometer

%check
%{python_expand rm -rf .testrepository
$python setup.py testr
}

%files %{python_files}
%doc README.rst
%license LICENSE
%python_alternative %{_bindir}/ceilometer
%{python_sitelib}/ceilometerclient
%{python_sitelib}/*.egg-info

%files -n python-ceilometerclient-doc
%license LICENSE
%doc html

%changelog
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Mon Jan 15 2018 dmueller@suse.com
- convert to singlespec
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 2.9.0
  - Deprecate ceilometerclient
  - shell: do not force domain to be present
  - Remove log translations
  - [bugfix]with keystone v3 Could not find domain: default.
  - Adjust parameters order of tenant_xxx and project_xxx
  - Handle log message interpolation by the logger
  - delete bash_completion in subcommand
  - Remove support for py34
  - Update reno for stable/ocata
* Mon Feb 13 2017 cloud-devel@suse.de
- update to version 2.8.0:
  - Make method import_versioned_module work
  - cleanup aodh redirect
  - Update reno for stable/newton
  - Deprecate alarms commands
  - cleanup aodh mocks
  - [doc] Note lack of constraints is a choice
  - Bump hacking to 0.12
  - Enable coverage report in console output
  - Fixes SSLError during cclient.meters.list() by https
  - move old oslo-incubator code out of openstack/common
  - Don't include openstack/common in flake8 exclude list
  - Fix from_response method to process response from requests
  - Enable release notes translation
  - panko redirect
  - Add __ne__ built-in function
  - Set code and details on HTTPException
  - Adding default project and domain if nothing is specified
  - Using assertIsNone() instead of assertEqual(None)
  - Replace assertEqual(None, ...) with assertIsNone(...)
* Tue Nov 15 2016 tbechtold@suse.com
  update to version 2.6.2
  * Set code and details on HTTPException
  * Update .gitreview for stable/newton
* Mon Sep 26 2016 tbechtold@suse.com
- update to version 2.6.1
  * Remove discover from test-requirements
  * Correct the parameters's position of assertEqual
  * Remove keystoneclient dependency
  * Fix from_response method to process response from requests
  * [trivial] add a blank character
  * Add support for Python 3.5
* Wed Aug 10 2016 tbechtold@suse.com
- update to 2.5.0:
  * tools: remove unused scripts
  * base.Resource not define __ne__() built-in function
  * Ignore aodh_endpoint argument
  * Switch to keystoneauth
  * Correct the usage of the method assertEqual()
  * Update the home-page with developer documentation
  * Update to hacking 0.11.0
  * Only install hacking in pep8
  * Updated from global requirements
  * Enable releasenotes documentation
  * Switch from deprecated tempest-lib to tempest
  * Fix the disorder of items of Traits in the output of event-list
  * remove default value of repeat-actions
  * Decouple ceilometerclient without aodh services running
  * Trivial: remove `None` as a redundant argument to dict.get()
  * Enhances client to support unique meter retrieval
  * Fixing a word spelling
  * make aggregation-method argument as a mandatory field
* Mon Aug  1 2016 tbechtold@suse.com
- update to 2.4.0:
  * Updated from global requirements
  * Decouple ceilometerclient without aodh services running
  * Enhances client to support unique meter retrieval
  * make aggregation-method argument as a mandatory field
  * Update .gitreview for stable/mitaka
- update _service and switch to upstream spec file
* Mon Feb 29 2016 dmueller@suse.com
- update to 2.3.0:
  * Remove argparse from requirements
  * drop oslo-incubator modules: cliutils and uuidutils
  * Updated from global requirements
  * remove unused code
  * fix project_id and user_id fields not set when create gnocchi alarm
  * Updated from global requirements
  * improve help docs for cli commands
  * change the dict output format to make consistency under py27 and py34
  * Fix to disable meter-links from CLI
  * Use the oslo.utils.reflection to extract the class name
  * remove py24 compatible code
  * Don't copy the auth_plugin for aodh
  * Remove openstack-common.conf
  * Use assertTrue/False instead of assertEqual(T/F)
  * Improve ceilometer alarm enabled input parameter validation
  * Updated from global requirements
  * Replace assertEqual(None, *) with assertIsNone in tests
  * remove MANIFEST.in
  * Updated from global requirements
  * Restructuring a comment in Python-Ceilometerclient
  * Deprecated tox -downloadcache option removed
  * Revert "Delete python bytecode before every test run"
  * Remove duplicated assert
  * Delete python bytecode before every test run
  * Fix Python 3 version announced in metadata
  * Remove py26 support
  * Fix the parameter order of assertEqual in ceilometerclient
  * Fix Resource.__eq__ mismatch semantics of object equal
* Mon Sep 14 2015 tbechtold@suse.com
- update to 1.5.0:
  * add limit support
  * do not generate meter links on resource-list
  * refactor: move 'repeat_actions' to common args
  * Support alarm-event-{create,update}
  * Use new location of subunit2html
  * Updated from global requirements
  * Don't try to get aodh endpoint if auth_url didn't provided
  * Updated from global requirements
  * tenant_id not required with keystone v3
  * Updated from global requirements
  * Add support for client redirecting to aodh endpoint if available
  * Updated from global requirements
  * Updated from global requirements
  * Fix unit tests failing caused by new Mock release
  * Updated from global requirements
  * Add ceilometerclient support for api-no-pipeline
  * Change default values from [] to None
  * Typo: Show an sample => Show a sample
  * Add alarm severity in alarm-history output
  * Updated from global requirements
  * Explicit error for wrong resource metadata format
  * Removes whitespace from CLI queries
  * Add capability for creating array of samples
  * Updated from global requirements
  * Drop use of 'oslo' namespace package
  * Pass OS_* env vars fix for tox 2.0
  * Catch missing 404 exceptions in client
  * Use oslo_utils instead of deprecated oslo.utils
  * [unittest] Increase client and shell modules cover
  * Fix alarm-evaluator can't start when ssl was enabled
  * Updated from global requirements
  * Updated from global requirements
  * remove useless event unit test code
  * Allow changing project-id and user-id by alarm-threshold-update
  * move capabilities ut code to unit dir
  * show raw details of event
  * Uncap library requirements for liberty
  * update README.rst to help release process
  * Add timeout for keystoneclient session
  * add region_name to auth plugin parameters
  * Added missing ceilometer CLI tests
  * Updates examples to reference new sample format
  * ceilometerclient insecure argument no longer works
  * fix client docstring
  * Add CLI for Capabilities REST API
  * print user friendly error message for alarm update time constraints
  * ceilometerclient fails with keystone v3 auth
  * Updated from global requirements
  * Set auth_plugin in __init__
  * support specify user-id when create sample and alarm
  * add in missing options
  * Add a post_test_hook for gate-run functional tests
  * Add cli functional tests from tempest
  * alarm: Use new gnocchi aggregation API
  * Move unit tests into their own subdirectory
  * Add a py34 target for tox
  * Fixes bug with Client function not setting up SSL params
  * Updated from global requirements
  * Enable specified project_id in CLI commands
- Adjust Requires according to requirements.txt
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file. Use fedora compatible files macros
* Fri Apr 24 2015 tbechtold@suse.com
- Use %%{version} in source
* Thu Apr 23 2015 tbechtold@suse.com
- Switch to version 1.0.13
* Wed Apr 22 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.2.0.post2:
  1.2.0
  * update README.rst to help release process
* Sat Apr 18 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.1.0.post4:
  * Uncap library requirements for liberty
* Fri Apr 17 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.1.0.post2:
  1.1.0
  * Add CLI for Capabilities REST API
  * print user friendly error message for alarm update time constraints
* Wed Apr 15 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.13.post29:
  * Add timeout for keystoneclient session
  * add region_name to auth plugin parameters
  * ceilometerclient insecure argument no longer works
* Fri Apr 10 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.13.post25:
  * fix client docstring
* Wed Apr  8 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.13.post23:
  * ceilometerclient fails with keystone v3 auth
* Thu Mar 26 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.13.post22:
  * alarm: Use new gnocchi aggregation API
* Tue Mar 24 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.13.post20:
  * Updated from global requirements
  * Set auth_plugin in __init__
* Sat Mar 21 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.13.post17:
  * support specify user-id when create sample and alarm
  * add in missing options
  * Add a post_test_hook for gate-run functional tests
  * Add cli functional tests from tempest
* Tue Mar 17 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.13.post10:
  * Move unit tests into their own subdirectory
* Sat Mar 14 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.13.post8:
  * Add a py34 target for tox
  * Fixes bug with Client function not setting up SSL params
* Fri Mar 13 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.13.post4:
  * Updated from global requirements
* Thu Mar 12 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.13.post3:
  * Support unicode for alarm
* Wed Mar  4 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.13.post1:
  * Enable specified project_id in CLI commands
  1.0.13
* Mon Feb 16 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.post70:
  * Corrected the errors in sample-show and sample-create
* Sat Feb 14 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.post68:
  * Updated from global requirements
* Tue Feb 10 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.post67:
  * Allow create/update gnocchi alarm rule
  * Don't enforce a kind of alarm rules
* Fri Feb  6 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.post63:
  * Update get_client() parameters with correct variable names
  * Add Sample API support
  * add --no-traits for event-list
  * Updated from global requirements
  * Remove trailing space before , in the help string of --time-constraint
* Tue Feb  3 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.post54:
  * Add severity field to alarm CLI
* Sat Jan 24 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.post53:
  * Updated from global requirements
  * Upgrade to hacking 0.10
* Wed Jan 21 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.post50:
  * Allow all pep8 checks
  * Fix H105 pep8 error
  * Triple double-quoted strings should be used for docstrings
* Sat Jan 17 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.post44:
  * Fix improper parameter setup for cacert and client certs
* Thu Jan 15 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.post42:
  * event-list should sort by timestamp, not id
  * Update hacking to global requirements
  * Remove redundant parentheses (except openstack.common)
* Tue Jan 13 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.post37:
  * Updated from global requirements
* Sat Jan 10 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.post36:
  * Support ceilometer-url and os-endpoint
* Fri Jan  9 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.post34:
  * sync to latest oslo-incubator code
  * Add apiclient to openstack-common.conf
  * Add client property for common.base.Manager
* Thu Jan  8 2015 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.post28:
  * Enable --os-insecure CLI option
* Sat Dec 13 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.26.gd1e659b:
  * Allow graceful shutdown on Ctrl+C
* Fri Dec 12 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.24.g989ff3a:
  * Updated from global requirements
* Thu Dec 11 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.23.gce8c06d:
  * Make methods static where it's possible
  * Fix old-style classes declaration
  * sync with oslo and use oslo.i18n
* Sat Dec  6 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.19.g27a8101:
  * Workflow documentation is now in infra-manual
* Fri Dec  5 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.18.g7ca4a16:
  * Support os-endpoint-type
* Thu Dec  4 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.16.gf92b607:
  * Alarm TimeConstraint display incorrect
* Sat Nov 29 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.14.g56010f3:
  * Updated from global requirements
* Fri Nov 28 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.13.gd35a2d9:
  * Add `requests` to requirements
* Wed Nov 26 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.11.gd8c15a9:
  * Fix timeout argument not treated as integer
  * Refactor tests/test_shell.py
  * Add --slowest option for testr
  * Fix wrong initialization of AuthPlugin for keystone v3
* Thu Nov  6 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.5.g6222ee5:
  * Updated from global requirements
* Mon Oct 27 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.4.g2d4c644:
  * Add CONTRIBUTING.rst
* Fri Oct 17 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.2.ga52bcff:
  * Updated from global requirements
* Wed Oct  8 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.12.1.g7c0bbd3:
  * Updated from global requirements
  1.0.12
* Sat Oct  4 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.11.2.g7316dd1:
  * sync oslo code
* Wed Oct  1 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.11.1.g5aa2a69:
  * switch to oslo.utils
  1.0.11
* Mon Sep 22 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.87.gae69fb0:
  * Fix a help string nit for statistics command
* Sun Sep 21 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.85.g02f8e4e:
  * Reduce redundant parameter of some commands in CLI
  * Typo "authtenticated" instead of "authenticated"
  * keystone discovery fallback support
* Wed Sep 17 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.80.gee32cf6:
  * Fix AuthPlugin authentification
* Tue Sep 16 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.78.g734daeb:
  * Stop using intersphinx
* Sat Sep 13 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.77.gd4bada7:
  * Verify alarm found before modifying
* Fri Sep 12 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.75.g8cf9bcb:
  * Updated from global requirements
  * Fix sample-create in v2 api calls
* Sat Aug 30 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.72.g4cef2bf:
  * Revamp documentation, add module references
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.70.g11134c5:
  * Check if the alarm has time constraints field before displaying
* Mon Aug 25 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.68.ga4b17ad:
  * Updated from global requirements
* Sat Aug 23 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.67.g98127c4:
  * Removed undefined method in install_env.py file
* Tue Aug 12 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.66.gbbc6cba:
  * Replace assertTrue with assertIsNotNone for check an object
  * Updated from global requirements
* Mon Aug 11 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.62.g2ddcff4:
  * Add endpoint opt into auth_plugin
  * Use HTTPClient from common Oslo code
* Tue Jul 29 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.60.g092eb66:
  * Update developer docs template
  * Add doc/build to .gitignore
* Sat Jul 26 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.58.g2f6eb43:
  * Add docs job to tox.ini
* Fri Jul 25 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.57.g3a7616c:
  * Avoid empty entity field in uri path
* Thu Jul 24 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.55.ge90c3c4:
  * Don't expose X-Auth-Token in ceilometer CLI
* Wed Jul 23 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.53.gead36aa:
  * Calculate a suitable column width for positional arguments
  * Improve --debug logging output
* Sat Jul 12 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.50.g5c8a85e:
  * Use suitable assert
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.49.g7f3be27:
  * Update python-ceilometerclient to support Keystone V3 API
* Wed Jun 25 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.47.g9f41025:
  * Fix alarm-threshold-update --query option
* Tue Jun 24 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.45.g3e0f363:
  * Add methods to resource classes
* Fri Jun 20 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.43.ge5cd3b2:
  * Updated from global requirements
* Thu Jun 19 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.42.g3ecf3f6:
  * Fix the alarm history order shown to user
  * Provide explicit help string of resource-metadata
* Tue Jun 17 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.39.g1ba3cd7:
  * Improve a bit query API
* Sun Jun 15 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.38.g4862913:
  * Fix hacking rules: H302,H305,H307,H402
* Sat Jun 14 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.36.ge1f6177:
  * Updated from global requirements
* Thu Jun 12 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.34.gc64bd26:
  * Remove © and remove unnecessary encoding lines
* Tue Jun 10 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.32.g339b55c:
  * use mock instead of try...finally
  * replace dict.iteritems() with six.iteritems(dict)
* Mon Jun  9 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.28.g252e4b9:
  * Avoid unnecessary stderr message when run test
* Wed Jun  4 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.26.g2a2e2dd:
  * Refactor split_by_op and split_by_datatype
* Fri May 30 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.25.gd55038c:
  * fixed several pep8 issues
* Tue May 27 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.23.gcb11c9b:
  * Fix exception handling of CLI
* Fri May 16 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.22.g09ad1ed:
  * Remove out-dated exceptions
* Fri May  2 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.21.gb2d530b:
  * extraneous vim editor configuration comments
  * Avoid dead loop when token is string format
  * Display message on HTTPException
* Tue Apr 29 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.15.g85b808e:
  * Correct help string about insufficient_data
  * Fix some help strings
  * Updated from global requirements
* Mon Apr 28 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.9.g6302c0c:
  * Fix the ceilometer trait-description-list command
* Fri Apr 25 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.7.g212b019:
  * Revert "Fix temporary pypy gate issue with setuptools"
* Thu Apr 24 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.5.g2c21e7b:
  * Correct testcase content
* Sat Apr 19 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.3.gb3da963:
  * Update v2.options docstring
* Sat Apr 12 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.10.2.ge56da49:
  1.0.10
  * Statistics groupby handling improvement
* Tue Apr  1 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.9.41.gdefbb95:
  * Ensure statistics aggregates are ordered with parameterized first
* Fri Mar 28 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.9.40.gfcfffac:
  * Implementation of statistics aggregators
* Thu Mar 27 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.9.39.gb99547b:
  * Adds alarm time constraint support to ceilometer CLI
* Wed Mar 26 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.9.37.g53d5a22:
  * Add complex query support for alarm history
  * Add complex query support for alarms
* Mon Mar 24 2014 dmueller@suse.com
- fix requires
- add python_requires service
* Sat Mar 22 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.9.33.g43bb64f:
  * Updated from global requirements
  * Deprecate 'alarm-update'
* Fri Mar 21 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.9.30.gdd048f8:
  * Fix temporary pypy gate issue with setuptools
  * Checking the type of auth_token, and fixing it if necessary
  * Add complex query support for samples
  * fix help message of deprecated command
* Tue Mar  4 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.9.23.g3e8045c:
  * test created virtual env directory should git ignored
  * Updated from global requirements
* Thu Feb 27 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.9.20.gf7f145c:
  * Updated from global requirements
  * py3kcompat: remove in python-ceilometerclient
* Sat Feb 22 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.9.17.g5b4563d:
  * Python 3 compatibility
* Fri Feb 21 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.9.15.g98a28a0:
  * Improve help strings
* Thu Feb 20 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.9.13.g02d9cea:
  * Fix a typo in a comment in v2 client
  * test_url_generation_with_proxy: do not use contextlib.nested()
* Sun Feb 16 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.9.10.g97957ea:
  * Remove unused mock in v2/test_shell.py
  * Remove tox locale overrides
* Fri Feb 14 2014 cloud-devel@suse.de
- Update to version python-ceilometerclient-1.0.9.6.g85c80f0:
  * Ensure url sent to proxy don't have redundant /
* Tue Feb 11 2014 speilicke@suse.com
- Update to version python-ceilometerclient-1.0.9.5.g0eed59f:
  * Sync with Oslo
  * Python 3: fix format_nested_list_of_dict()
  1.0.9
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
- Fix requirements
* Wed Jan 29 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.8.60:
  + Raise traceback on error when using CLI and -debug
  + Update client to display data type of traits
  + Remove unused import for print_function
  + Modify ceilometer client cmd line help info
* Tue Jan 28 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.8.52:
  + Fix typos picked up by misspellings
  + Using common methods from oslo cliutils
  + return sample info when creating sample with CLI
  + Remove print debugs statements.
  + Remove ununsed httplib2 requirement
* Sat Jan 25 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.8.42:
  + Avoid discarding alarm-threshold-create --query option
* Fri Jan 24 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.8.40:
  + replace assertTrue(isinstance) to assertIsInstance
  + Using common method 'bool_from_string' from oslo strutils
  + abbreviating --meter-name to -m in alarm commands
  + Replace inheritance hierarchy with composition
  + Add support for groupby in statistics for API v2
  + Enable hacking H233 rule
* Mon Jan 20 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.8.28:
  + Remove dependencies on pep8, pyflakes and flake8
* Sat Jan 18 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.8.26:
  + fix optional parameter of creating sample
* Fri Jan 17 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.8.24:
  + Remove unused imports
* Thu Jan 16 2014 dmueller@suse.com
- fix requires
* Thu Jan 16 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.8.22:
  + Python 3: fix test_sample_list
  + client looking at wrong cacert argument name
  + Supports bash_completion for ceilometerclient
* Tue Jan 14 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.8.16:
  + Support the Event API
* Fri Jan 10 2014 opensuse-cloud@opensuse.org
- Update to version 1.0.8.15:
  + Fix the ceilometerlient log curl request incorrectly
  + Use Resource() class from common Oslo code
* Fri Dec 20 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.8.12:
  + Python 3: use six.moves.zip() rather than itertools.izip()
* Wed Dec 18 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.8.11:
  + Fix alarm-combination-update operator argument
  + Display message on HTTP 400
* Sun Dec 15 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.8.8:
  + Encode exception on ceilometer-client for UnicodeDecodeError
  + Update .gitignore
* Fri Dec 13 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.8.4:
  + Improve description of some commands
  + Updates tox.ini to use new features
* Thu Dec 12 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.8.1:
  + Updated from global requirements
* Tue Dec  3 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.7.4:
  + Change OpenStack Metering to OpenStack Telemetry
  + sync with oslo-incubator
  + Add HTTP proxy support to ceilometer client
* Thu Nov 28 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.6.40:
  + Allow specifying a timestamp when creating a sample
  + Allow alarm-threshold-update to upate generic attributes
* Tue Nov 26 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.6.36:
  + Enable pep8 E711/E712/E721/H302 checking
* Mon Nov 25 2013 dmueller@suse.com
- switch to python-setuptools
* Sat Nov 23 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.6.35:
  + Ensure basic logging config is applied
  + Avoid reset of repeat_actions attribute on alarm update
  + Enable pep8 E121/E122/E123 checking
  + Enable pep8 E128 checking
* Fri Nov 22 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.6.29:
  + Add six to requirements.txt
  + Support building wheels (PEP-427)
* Fri Nov 15 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.6.26:
  + Updated from global requirements
* Thu Oct 31 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.6.25:
  + Ceilometer UnicodeEncodeError when update or show alarm fix
* Tue Oct 29 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.6.24:
  + Adds the 'limit' parameter to sample list command in V2 API
* Tue Oct 29 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.6.23:
  + update oslo libraries
  + add cliutils from oslo-incubator
  + Fix order of sample list
* Sat Oct 26 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.6.20:
  + Updated from global requirements
  + Fix cacert argument to HTTPS connection
* Thu Oct 24 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.6.17:
  + Updated from global requirements
* Tue Oct 22 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.6.16:
  + Updated from global requirements
  + Updated from global requirements
  + Replace mox3 with mock in unit test
* Fri Oct 18 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.6.11:
  + Fix missed Pep8 error with 1.4.6
* Thu Oct 17 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.6.10:
  + Replace mox with mox3
* Wed Oct 16 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.6.9:
  + Import six.StringIO
  + Fix module importing issues for Python 3
  + Translate print statement to print function
  + Use six.iteritems() for dict
  + Import urlutils to substitute urllib
  + replace dict.keys() with list(dict)
  + Replace unicode() with six.u()
  + replace basetring/xrange
  + align the order of parameters for urlencode()
* Tue Oct  8 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.5.12:
  + Allow to update an alarm partially
  + Fix shell.do_alarm_get_state to get as opposed to set
  + Use standard CLI object-verb ordering for alarm-{g|s}set-state
  + Updated from global requirements
  + Added support to --os-cacert
  + Add support for new alarm-history command
* Mon Sep 30 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.5.2:
  + Help messages: specify which options are required
* Thu Sep 26 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.5.1:
  + Improve the CM shell client alarm visualisation
* Tue Sep 24 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.11:
  + Use the new alarm format
  + Replace OpenStack LLC with OpenStack Foundation
  + Pass region_name argument to keystone client
* Wed Sep 18 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.6:
  + Use global openstack requirements
  + Adding missing 'statistic' field to alarm-show
* Wed Sep 11 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.4:
  + Fix a typo in "sample-create" help message
  + alarm: rename counter_name to meter_name
* Fri Sep  6 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3.1:
  + Added support for running the tests under PyPy with tox
* Sat Aug 10 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.2.10:
  + Add support for new alarm repeat_actions attribute
* Thu Aug  8 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.2.8:
  + Updated from global requirements
* Tue Jul 16 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.1.9:
  + Rename README.md to README.rst
* Sun Jul 14 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.1.8:
  + Relax OpenStack upper capping of client versions
* Fri Jul 12 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.1.7:
  + Allow Keystoneclient 0.3.x
  + Add matching_metadata to the allowed attributes
* Fri Jul 12 2013 dmueller@suse.com
- remove requirements-update.diff
* Wed Jul 10 2013 dmueller@suse.com
- add requirements-update.diff
* Mon Jul  8 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.1.4:
  + Sync install_venv_common from oslo
* Fri Jul  5 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.1.3:
  + requirements.txt is not configured properly
* Thu Jul  4 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.1.1:
  + Move tests to ceilometerclient.
* Thu Jun 27 2013 speilicke@suse.com
- Only depend on python-discover on SLE, it's a Python-2.6 feature
  backport
* Wed Jun 12 2013 dmueller@suse.com
- fix test requires
* Mon May 27 2013 dmueller@suse.com
- python-pbr/d2to1 requires
* Fri May  3 2013 dmueller@suse.com
- remove 0001-Sync-requirements-with-openstack-common-requirements.patch
* Thu Apr 25 2013 dmueller@suse.com
- add 0001-Sync-requirements-with-openstack-common-requirements.patch
* Thu Apr  4 2013 dmueller@suse.com
- fix requires
* Thu Apr  4 2013 berendt@b1-systems.de
- created initial version (1.0.0.1)
